RedBoot User's Guide
Prev |  | Next

# iopeek

## Name

iopeek -- Read I/O location

## Synopsis

iopeek [-b `location`] [-1 | -2 | -4]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-b `location` | I/O address | I/O Location. | none
-1 |  | Access a one byte (8 bit) I/O location. | -1
-2 |  | Access a two byte (16 bit) I/O location. | -1
-4 |  | Access a one word (32 bit) I/O location. | -1

## Description

Reads a value from the I/O address space.

## Examples

Examine 8 bit value at I/O location 0x3F8.

    RedBoot> iopeek -b 0x3f8
    0x03f8 = 0x30

Examine 32 bit value at I/O location 0x3f8.

    RedBoot> iopeek -b 0x3f8 -4
    0x03f8 = 0x03c10065

Prev | Home | Next
help | Up | iopoke